unit Apropos;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Version: TLabel;
    Comments: TLabel;
    Panel2: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Bevel1: TBevel;
    sbOK: TSpeedButton;
    lbMail: TLabel;
    lbURL: TLabel;
    procedure sbOKClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure lbMailClick(Sender: TObject);
    procedure lbURLClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.sbOKClick(Sender: TObject);
begin
  Close;
end;

procedure TAboutBox.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  If (Key = VK_RETURN) Or (Key = VK_ESCAPE) Then Close;
end;

procedure TAboutBox.lbMailClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('mailto:cyril@crtek.fr.st'), nil, nil, SW_NORMAL);
end;

procedure TAboutBox.lbURLClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('http://www.crteknologies.fr.st'), nil, nil, SW_NORMAL);
end;

end.

